package de.hsadmin.core.model;

import de.hsadmin.core.model.onetier.TicketValidator;

public class TicketAuthentication {

	private static TicketAuthentication auth = new TicketAuthentication();
	
	public static TicketAuthentication getInstance() {
		return auth;
	}

	public boolean login(String login, String ticket) throws AuthenticationException {
		return TicketValidator.getInstance().validateTicket(login, ticket);
	}

}
